Subject: bug#7134: mode-line active/inactive face not following mouse in daemon mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Jun 2021 10:56:49 +0200

Bob Nnamtrop <[email-masked]> writes:

> I use emacs on Mac OS X in X11 and for some time this bug has been present (23.1,
> 23.2, bzr trunk).  If emacs is started in daemon mode 
>
> emacs -Q --daemon
>
> and then a frame is brought up using
>
> emacsclient -n -c
>
> and then another frame is made from the first one using
>
> C-x 5 2
>
> Now is the mouse is moved between them then focus follows the mouse (as I have
> setup in the window manager) and I can type in the correct frame.  BUT the mode line
> is not highlighted correctly as I move the mouse.

(I'm going through old bug reports that unfortunately got no response at
the time.)

Are you still seeing this issue in recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no